crash [@ leafWriterStepMerge]

VERIFIED WORKSFORME

Status

()

Toolkit
Storage
--
critical
VERIFIED WORKSFORME
8 years ago
7 years ago

People

(Reporter: wsmwk, Unassigned)

Tracking

({crash})

Trunk
x86
All
crash
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(crash signature)

(Reporter)

Description

8 years ago
crash [@ leafWriterStepMerge]

luciano steve reported bp-aaf60bf6-3aa6-458f-8204-5ac362100106 at http://getsatisfaction.com/mozilla_messaging/topics/thunderbird_crashes_immediately?utm_content=topic_link&utm_medium=email&utm_source=reply_notification

bp-aaf60bf6-3aa6-458f-8204-5ac362100106
0		@0xffff8ca4	
1	libsqlite3.dylib	leafWriterStepMerge	db/sqlite3/src/sqlite3.c:102554
2	libsqlite3.dylib	segdirNextIndex	db/sqlite3/src/sqlite3.c:103076
3	libsqlite3.dylib	flushPendingTerms	db/sqlite3/src/sqlite3.c:103621
4	libsqlite3.dylib	sqlite3VdbeHalt	db/sqlite3/src/sqlite3.c:85926
5	libsqlite3.dylib	sqlite3Step	db/sqlite3/src/sqlite3.c:54716
6	libsqlite3.dylib	sqlite3_step	db/sqlite3/src/sqlite3.c:50668
7	thunderbird-bin	mozilla::storage::AsyncExecuteStatements::executeStatement	storage/src/mozStorageAsyncStatementExecution.cpp:354 

only 10 TB crashes found ... comments:
* Running Migration Assistant and indexing messages.
* Nope, it's not poor error recovery from insufficient disk space that's causing the problem. My mail folder must be corrupted somehow, and Thunderbird is not doing enough checking.
* Indexing messages.
* Indexexing messages -- might have to do with improper error recovery after disk being full.

only 1 FF crash
(Reporter)

Updated

8 years ago
Component: Backend → Storage
Product: MailNews Core → Toolkit
QA Contact: backend → storage
(Reporter)

Comment 1

7 years ago
no thunderbird crashes in more than 6 months.and no firefox crashes in more than 3 months - you have to go back to bp-f7b11978-fe95-4280-9e7a-f60d12100708, a FF 3.6.3 crash.

probably can close this, but will revisit in one month
Whiteboard: [closeme 2010-12-01]
Looking over the last 4 months, can only find three crashes on Fx/Thunderbird and all are using ancient builds:
bp-9f7dd429-0260-4681-90a9-a2ad42101217 (Thunderbird 3.0b3)
bp-11fe56db-5a2c-47af-92bf-028c72101204 (Firefox 3.6.3)
bp-f82ee4cd-c22f-4d47-a880-eebb42101220 (Firefox 3.6.3)

Marking as worksforme given no crashes using recent builds (and no crashes at all since mid Dec) and whiteboard closeme date passed.
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
(Reporter)

Comment 3

7 years ago
Whatever triggered it in Thunderbird does seem to be gone - 3.0b3 is 1.5 years ago for thunderbird

FF actually has 4, but crash ONLY appears in v3.6.3 and it's almost a year old as you point out
Nov 17, 2010 12:22
Nov 22, 2010 12:50
Dec 04, 2010 19:17
Dec 20, 2010 23:35
Status: RESOLVED → VERIFIED
Whiteboard: [closeme 2010-12-01]
(Assignee)

Updated

7 years ago
Crash Signature: [@ leafWriterStepMerge]
You need to log in before you can comment on or make changes to this bug.